# $Revision: 1.9 $, $Date: 2012/04/20 10:35:02 $
#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	Arping
Summary:	Net::Arping - Ping remote host by ARP packets
Summary(pl.UTF-8):	Net::Arping - Pingowanie zdalnego hosta przy użyciu pakietów ARP
Name:		perl-Net-Arping
Version:	0.03
Release:	6
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/R/RA/RADEK/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	bf26415f1406dec2689d5e8aa3ca2744
URL:		http://search.cpan.org/dist/Net-Arping/
BuildRequires:	libnet-devel
BuildRequires:	libpcap-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The module contains function for testing remote host reachability by
sending ARP packets.

The program must be run as root or be setuid to root.

%description -l pl.UTF-8
Ten moduł zawiera funkcję do sprawdzania dostępności zdalnego hosta
poprzez wysyłanie pakietów ARP.

Program musi być uruchamiany przez roota lub mieć ustawiony suid root.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{__make} test

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Net/*.pm
%dir %{perl_vendorarch}/auto/Net/Arping
%attr(755,root,root) %{perl_vendorarch}/auto/Net/Arping/*.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-Arping.spec,v $
Revision 1.9  2012/04/20 10:35:02  baggins
- release 6

Revision 1.8  2011/10/11 15:11:38  lisu
- rel 5

Revision 1.7  2010/11/12 23:38:11  pawelz
- release 4

Revision 1.6  2010/06/06 08:40:02  arekm
- release 3

Revision 1.5  2010/04/03 17:24:03  glen
- release 2

Revision 1.4  2008/11/04 19:10:31  qboosh
- let URL point to module summary
- pl

Revision 1.3  2008/11/04 17:20:40  radek
- version 0.03

Revision 1.2  2008/03/29 19:10:38  radek
- release 1, patched for libnet 1.1

Revision 1.1  2008-03-29 12:42:55  paszczus
- spec created by pldcpan.pl
- release 0.1, failed on make
- this spec is required by arping.pl script from nagios-contrib
